{
  "name": "back",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build-dev": "vue-tsc --noEmit && vite build",
    "build": "vue-tsc --noEmit && vite build --mode pord",
    "preview": "vite preview",
    "format": "prettier --write ./**/*.{vue,ts,tsx,js,jsx,css,less,scss,json,md}",
    "lint": "eslint src scripts/**/*.js vite.config.ts src/**/*.ts vite.config.ts src/**/*.vue"
  },
  "lint-staged": {
    "*.(js,ts,vue)": [
      "eslint",
      "prettier --write"
    ]
  },
  "dependencies": {
    "@ant-design/icons-vue": "^6.1.0",
    "@types/node": "^18.7.18",
    "ant-design-vue": "3.3.0-beta.3",
    "axios": "^0.27.2",
    "dayjs": "^1.11.5",
    "js-base64": "^3.7.2",
    "less": "^4.1.3",
    "pinia": "^2.0.22",
    "sass": "^1.54.9",
    "vue": "^3.2.37",
    "vue-router": "4"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^5.36.2",
    "@typescript-eslint/parser": "^5.36.2",
    "@vitejs/plugin-vue": "^3.1.0",
    "chalk": "^5.0.1",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.5.1",
    "husky": "^8.0.1",
    "lint-staged": "^13.0.3",
    "minimist": "^1.2.6",
    "prettier": "^2.7.1",
    "typescript": "^4.6.4",
    "unplugin-auto-import": "^0.11.2",
    "unplugin-vue-components": "^0.22.7",
    "unplugin-vue-define-options": "^0.11.2",
    "vite": "^3.1.0",
    "vue-eslint-parser": "^9.1.0",
    "vue-tsc": "^0.40.4"
  }
}
